Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer.plaf
Class AlignmentViewerUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--uk.ac.man.bioinf.gui.viewer.plaf.AlignmentViewerUI

Direct Known Subclasses:
  BasicAlignmentViewerUI

public abstract class AlignmentViewerUI
extends ComponentUI

AlignmentViewerUI.java Created: Tue Mar 14 16:29:34 2000

Version:
  $Id: AlignmentViewerUI.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`AlignmentViewerUI()`

Method Summary
`abstract Rectangle` | `getCellBounds(SequenceAlignmentPoint point)`
`abstract Point` | `getPointAtSequencePoint(int x, int y)`
`Point` | `getPointAtSequencePoint(SequenceAlignmentPoint point)`
`abstract SequenceAlignmentPoint` | `getSequencePointAtPoint(int x, int y)`
`SequenceAlignmentPoint` | `getSequencePointAtPoint(Point point)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlignmentViewerUI

    public AlignmentViewerUI()

Method Detail

### getSequencePointAtPoint

    public abstract SequenceAlignmentPoint getSequencePointAtPoint(int x,
                                                                   int y)

### getSequencePointAtPoint

    public SequenceAlignmentPoint getSequencePointAtPoint(Point point)

### getPointAtSequencePoint

    public abstract Point getPointAtSequencePoint(int x,
                                                  int y)

### getPointAtSequencePoint

    public Point getPointAtSequencePoint(SequenceAlignmentPoint point)

### getCellBounds

    public abstract Rectangle getCellBounds(SequenceAlignmentPoint point)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD